## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface PartitionPackage.Literals

Enclosing interface:
  PartitionPackage

    public static interface PartitionPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `LIST_RANGE_PARTITION_ITEM` The meta object literal for the '`List Range Partition Item`' class.
`static org.eclipse.emf.ecore.EAttribute` `LIST_RANGE_PARTITION_ITEM__PARTITION_NAME` The meta object literal for the 'Partition Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `LIST_RANGE_PARTITION_ITEM__SEGMENT` The meta object literal for the 'Segment' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `LIST_RANGE_PARTITION_ITEM__VALUES` The meta object literal for the 'Values' attribute list feature.
`static org.eclipse.emf.ecore.EClass` `PARTITION_NUM_IN_SEGMENTS` The meta object literal for the '`Num In Segments`' class.
`static org.eclipse.emf.ecore.EAttribute` `PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB` The meta object literal for the 'Partition Numb' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PARTITION_NUM_IN_SEGMENTS__SEGMENT` The meta object literal for the 'Segment' reference list feature.
`static org.eclipse.emf.ecore.EClass` `PARTITION_SEGMENT_PAIR` The meta object literal for the '`Segment Pair`' class.
`static org.eclipse.emf.ecore.EAttribute` `PARTITION_SEGMENT_PAIR__PARTITION_NAME` The meta object literal for the 'Partition Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PARTITION_SEGMENT_PAIR__SEGMENT` The meta object literal for the 'Segment' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_HASH_PARTITION` The meta object literal for the '`Sybase ASE Hash Partition`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_HASH_PARTITION__COLUMNS` The meta object literal for the 'Columns' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS` The meta object literal for the 'Partition Num In Segments' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS` The meta object literal for the 'Partition Segment Pairs' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_LIST_PARTITION` The meta object literal for the '`Sybase ASE List Partition`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_LIST_PARTITION__COLUMN` The meta object literal for the 'Column' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS` The meta object literal for the 'List Partition Items' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_PARTITION` The meta object literal for the '`Sybase ASE Partition`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_RANGE_PARTITION` The meta object literal for the '`Sybase ASE Range Partition`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_RANGE_PARTITION__COLUMNS` The meta object literal for the 'Columns' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS` The meta object literal for the 'Range Partition Items' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ASE_ROUNDROBIN_PARTITION` The meta object literal for the '`Sybase ASE Roundrobin Partition`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS` The meta object literal for the 'Partition Num In Segments' reference feature.
`static org.eclipse.emf.ecore.EReference` `SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS` The meta object literal for the 'Partition Segment Pairs' reference list feature.

Field Detail

### SYBASE_ASE_PARTITION

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_PARTITION

  The meta object literal for the '`Sybase ASE Partition`' class.

  See Also:
    `SybaseASEPartitionImpl`, `PartitionPackageImpl.getSybaseASEPartition()`

### SYBASE_ASE_RANGE_PARTITION

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_RANGE_PARTITION

  The meta object literal for the '`Sybase ASE Range Partition`' class.

  See Also:
    `SybaseASERangePartitionImpl`, `PartitionPackageImpl.getSybaseASERangePartition()`

### SYBASE_ASE_RANGE_PARTITION__COLUMNS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_RANGE_PARTITION__COLUMNS

  The meta object literal for the 'Columns' reference list feature.

### SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS

  The meta object literal for the 'Range Partition Items' reference list feature.

### SYBASE_ASE_HASH_PARTITION

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_HASH_PARTITION

  The meta object literal for the '`Sybase ASE Hash Partition`' class.

  See Also:
    `SybaseASEHashPartitionImpl`, `PartitionPackageImpl.getSybaseASEHashPartition()`

### SYBASE_ASE_HASH_PARTITION__COLUMNS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_HASH_PARTITION__COLUMNS

  The meta object literal for the 'Columns' reference list feature.

### SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS

  The meta object literal for the 'Partition Segment Pairs' reference list feature.

### SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS

  The meta object literal for the 'Partition Num In Segments' reference feature.

### SYBASE_ASE_LIST_PARTITION

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_LIST_PARTITION

  The meta object literal for the '`Sybase ASE List Partition`' class.

  See Also:
    `SybaseASEListPartitionImpl`, `PartitionPackageImpl.getSybaseASEListPartition()`

### SYBASE_ASE_LIST_PARTITION__COLUMN

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_LIST_PARTITION__COLUMN

  The meta object literal for the 'Column' reference feature.

### SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS

  The meta object literal for the 'List Partition Items' reference list feature.

### SYBASE_ASE_ROUNDROBIN_PARTITION

    static final org.eclipse.emf.ecore.EClass SYBASE_ASE_ROUNDROBIN_PARTITION

  The meta object literal for the '`Sybase ASE Roundrobin Partition`' class.

  See Also:
    `SybaseASERoundrobinPartitionImpl`, `PartitionPackageImpl.getSybaseASERoundrobinPartition()`

### SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS

  The meta object literal for the 'Partition Segment Pairs' reference list feature.

### SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS

    static final org.eclipse.emf.ecore.EReference SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS

  The meta object literal for the 'Partition Num In Segments' reference feature.

### PARTITION_SEGMENT_PAIR

    static final org.eclipse.emf.ecore.EClass PARTITION_SEGMENT_PAIR

  The meta object literal for the '`Segment Pair`' class.

  See Also:
    `PartitionSegmentPairImpl`, `PartitionPackageImpl.getPartitionSegmentPair()`

### PARTITION_SEGMENT_PAIR__PARTITION_NAME

    static final org.eclipse.emf.ecore.EAttribute PARTITION_SEGMENT_PAIR__PARTITION_NAME

  The meta object literal for the 'Partition Name' attribute feature.

### PARTITION_SEGMENT_PAIR__SEGMENT

    static final org.eclipse.emf.ecore.EReference PARTITION_SEGMENT_PAIR__SEGMENT

  The meta object literal for the 'Segment' reference feature.

### PARTITION_NUM_IN_SEGMENTS

    static final org.eclipse.emf.ecore.EClass PARTITION_NUM_IN_SEGMENTS

  The meta object literal for the '`Num In Segments`' class.

  See Also:
    `PartitionNumInSegmentsImpl`, `PartitionPackageImpl.getPartitionNumInSegments()`

### PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB

    static final org.eclipse.emf.ecore.EAttribute PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB

  The meta object literal for the 'Partition Numb' attribute feature.

### PARTITION_NUM_IN_SEGMENTS__SEGMENT

    static final org.eclipse.emf.ecore.EReference PARTITION_NUM_IN_SEGMENTS__SEGMENT

  The meta object literal for the 'Segment' reference list feature.

### LIST_RANGE_PARTITION_ITEM

    static final org.eclipse.emf.ecore.EClass LIST_RANGE_PARTITION_ITEM

  The meta object literal for the '`List Range Partition Item`' class.

  See Also:
    `ListRangePartitionItemImpl`, `PartitionPackageImpl.getListRangePartitionItem()`

### LIST_RANGE_PARTITION_ITEM__PARTITION_NAME

    static final org.eclipse.emf.ecore.EAttribute LIST_RANGE_PARTITION_ITEM__PARTITION_NAME

  The meta object literal for the 'Partition Name' attribute feature.

### LIST_RANGE_PARTITION_ITEM__VALUES

    static final org.eclipse.emf.ecore.EAttribute LIST_RANGE_PARTITION_ITEM__VALUES

  The meta object literal for the 'Values' attribute list feature.

### LIST_RANGE_PARTITION_ITEM__SEGMENT

    static final org.eclipse.emf.ecore.EReference LIST_RANGE_PARTITION_ITEM__SEGMENT

  The meta object literal for the 'Segment' reference feature.